const svg = d3.select('svg');

// Define initial sky color
let skyColor = '#87CEEB'; // Light blue color

// Define initial sun position
let sunX = -60;
let sunY = 100;

// Animate sunrise
function animateSunrise() {
  svg
    .append('rect')
    .attr('width', '100%')
    .attr('height', '100%')
    .attr('fill', skyColor);

  svg
    .append('circle')
    .attr('cx', sunX)
    .attr('cy', sunY)
    .attr('r', 40)
    .attr('fill', '#FFD700'); // Yellow color (sun)

  // Draw sun spikes
  for (let i = 0; i < 16; i++) {
    const angle = (i / 16) * Math.PI * 2;
    const spikeX = sunX + Math.cos(angle) * 60;
    const spikeY = sunY + Math.sin(angle) * 60;
    svg
      .append('line')
      .attr('x1', sunX)
      .attr('y1', sunY)
      .attr('x2', spikeX)
      .attr('y2', spikeY)
      .attr('stroke', '#FFD700') // Yellow color (sun)
      .attr('stroke-width', 2);
  }

  // Draw mountains
  svg
    .append('polygon')
    .attr('points', '0,200 150,100 300,200')
    .attr('fill', '#FFDAB9');

  svg
    .append('polygon')
    .attr('points', '200,200 350,100 500,200')
    .attr('fill', '#FFDAB9');

  svg
    .append('polygon')
    .attr('points', '100,200 250,50 400,200')
    .attr('fill', '#FFDAB9');
  sunX += 1;
  sunY -= 1;
  skyColor = d3.interpolate(
    '#87CEEB',
    '#FFA500',
  )(sunY / 100); // Interpolate sky color from light blue to orange

  if (sunY > 0) {
    requestAnimationFrame(animateSunrise);
  }
}

animateSunrise();
